<?php

namespace xenarabia\BestAnswer\XF\Entity;

use XF\Mvc\Entity\Entity;

class EventListener
{
	public static function threadStructure(\XF\Mvc\Entity\Manager $em, \XF\Mvc\Entity\Structure &$structure)
	{
        $structure->columns['xena_post_ba'] = ['type' => Entity::INT, 'default' => 0];
		$structure->columns['xena_userid_ba'] = ['type' => Entity::INT, 'default' => 0];
		$structure->relations['UserAnswers'] = [
			'entity' => 'XF:User',
			'type' => Entity::TO_ONE,
			'conditions' => [['user_id', '=', '$xena_userid_ba']],
			'primary' => true
		];
	}


	public static function UserStructure(\XF\Mvc\Entity\Manager $em, \XF\Mvc\Entity\Structure &$structure)
	{
		$structure->relations['Answers'] = [
			'entity' => 'XF:Thread',
			'type' => Entity::TO_ONE,
			'conditions' => [['xena_userid_ba', '=', '$user_id']],
			'primary' => true
		];
		
	}

	
}